@import './_variables';

@mixin fontSize($size) {
  font-size: $size; //Fallback in px
  font-size: #{$size / 16px}rem;
}

@mixin button {
  font-family: $font;
  font-weight: $font-weight-regular;
  color: $color-purple-01;
  margin-top: 0;
  margin-bottom: 0;
  @include fontSize($font-size-md);
}
@mixin content {
  font-family: $font;
  font-weight: $font-weight-regular;
  color: $color-black;
  margin-top: 0;
  margin-bottom: 0;
  @include fontSize($font-size-sm);
}
@mixin input {
  font-family: $font;
  font-weight: $font-weight-regular;
  color: $color-black;
  margin-top: 0;
  margin-bottom: 0;
  @include fontSize($font-size-md);
}
@mixin logo {
  font-family: $font;
  font-weight: $font-weight-ultralight;
  color: $color-black;
  margin-top: 0;
  margin-bottom: 0;
  @include fontSize($font-size-xl);
}
@mixin title {
  font-family: $font;
  font-weight: $font-weight-regular;
  color: $color-black;
  margin-top: 0;
  margin-bottom: 0;
  @include fontSize($font-size-lg);
}
